# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define         srcname       wmcube

Name:           wmcube
Version:        1.0.2
Release:        alt1_6
Summary:        Another dock monitor displaying CPU load as a spinning cube
License:        GPLv2
Group:          Monitoring

#gtk version0.98p2 http://www.ne.jp/asahi/linux/timecop/
URL:            https://www.dockapps.net/wmcube
Source0:        https://www.dockapps.net/wmcube/%{srcname}-%{version}.tar.gz

BuildRequires:  glibc-devel
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xau)
BuildRequires:  pkgconfig(xdmcp)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xpm)
BuildRequires:  pkgconfig(gdk-2.0)
Source44: import.info

%description
Wmcube is a dock application for WindowMaker or any other desktop
environment that supports docking. It renders a real time rotating
three-dimensional cube and the current CPU load. Various rotating
objects are preconfigured in %{_datadir}/%{name}/ and
can be specified on the command line.

%prep
%setup -q -n %{srcname}-%{version}

%build
pushd %{name}
%make_build CFLAGS="%optflags -fcommon \`pkg-config --cflags gdk-2.0\`" \
      INCDIR="-I%{_includedir}/X11" \
      LIBDIR="-L%{_libdir}" \
      LIBS=" -lX11 -lXext -lXpm -lm \`pkg-config --libs gdk-2.0\`"
popd

%install
pushd %{name}
install -D -m 755 %{name} %{buildroot}%{_bindir}/%{name}
install -D -m 644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1
popd
install -d -m 755 3D-objects %{buildroot}%{_datadir}/%{name}
install -D -m 644 3D-objects/*.wmc %{buildroot}%{_datadir}/%{name}/


%files
%doc README CHANGES COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.1*



%changelog
* Sun Apr 10 2022 Cronbuild Service <cronbuild@altlinux.org> 1.0.2-alt1_6
- update by mgaimport

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 1.0.2-alt1_5
- update by mgaimport

* Tue Mar 24 2020 Igor Vlasenko <viy@altlinux.ru> 1.0.2-alt1_4
- update by mgaimport

* Sat Feb 15 2020 Igor Vlasenko <viy@altlinux.ru> 1.0.2-alt1_3
- update by mgaimport

* Thu Mar 07 2019 Igor Vlasenko <viy@altlinux.ru> 1.0.2-alt1_2
- new version

